// Plot of net reactance over the range 100 to 1000 Hz
// Filename: ex2701.sce
// Clear any existing plot
clf();
// Set up parameters
f = [100:10:1000]';  // Frequency range 100 Hz to 1 kHz
C = 1E-6;  // C = 1 uF
L = 0.22;  // L = 220 mH
// Plot the net reactance in blue
plot2d(f,(2*%pi*f*L-(2*%pi*f*C)^-1),2);
// Print legend, grid and title
h = legend('Net reactance',1, boxed=%f);
xgrid(); // add grid
xtitle('Reactance plotted against frequency');

